/**
***  Copyright (C) 2002-2009 Intel Corporation. All rights reserved.
***
*** The information and source code contained herein is the exclusive
*** property of Intel Corporation and may not be disclosed, examined
*** or reproduced in whole or in part without explicit written authorization
*** from the company.
**/

/*
 * Copyright (c) 1994-2002 by P.J. Plauger.  ALL RIGHTS RESERVED. 
 * Consult your license regarding permissions and restrictions.
 */


/* stddef.h standard header */
/*
#ifndef _STDDEF
#define _STDDEF
*/

#if defined(__QNX__) || defined(__FreeBSD__)
#include_next <stddef.h>

#undef offsetof
#define offsetof(T, member)	((size_t)&(((T *)0)->member))
#else 
		/* macros */
#undef NULL
#ifdef __INTEL_CXXLIB_ICC
#define NULL	0L
#else
#ifdef __cplusplus
#define NULL (__null)
#else
#define NULL ((void *)0)
#endif
#endif
		/* type definitions */
#ifndef	_PTRDIFFT
#  define _PTRDIFFT
typedef __PTRDIFF_TYPE__ ptrdiff_t;
#endif

#ifndef _SIZET
#  define _SIZET
typedef __SIZE_TYPE__	size_t;
#endif

#ifndef _WCHART
#  define _WCHART
#  ifndef _WCHAR_T	/* wchar_t isn't defined by compiler */
#    define _WCHAR_T
typedef __WCHAR_TYPE__	wchar_t;
#  endif
#endif

#ifndef offsetof
#define offsetof(T, member)	((size_t)&(((T *)0)->member))
#endif

#endif

/*#endif*/ /* _STDDEF */
